---
search:
  tags:
    - Products
    - GET
seo:
  description: >-
    Retrieves all categories that a product… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/products/{product_id}/categories endpoint in
    the Management API.
sidebar:
  label: List Product Categories
  badge: GET
title: List Product Categories
type: openapi-operation
---
Retrieves all categories that a product is associated with, including translations and attributes

`GET /api/v1/{team_slug}/{app_slug}/products/{product_id}/categories`

**Responses**

- `200` — Categories list
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "attributes": [
        {
          "created_at": "string",
          "description": "string",
          "filterable": true,
          "id": "string",
          "key": "string",
          "name": "string",
          "template_key": "string",
          "template_name": "string",
          "translatable": true,
          "translations": {
            "description": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ],
            "name": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "updated_at": "string",
          "values": {
            "property1": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            },
            "property2": {
              "field_id": "string",
              "id": "string",
              "image_id": "string",
              "image_object": {
                "alt": "string",
                "app_id": "string",
                "blurhash": "string",
                "copyright": "string",
                "custom": {
                  "property1": "string",
                  "property2": "string"
                },
                "folder_id": "string",
                "id": "string",
                "parent_id": "string",
                "public": true,
                "status": "string",
                "title": "string",
                "url": "string"
              },
              "translations": {
                "value": [
                  {
                    "id": "string",
                    "locale": "string",
                    "value": "string"
                  }
                ]
              },
              "type": "string",
              "value": "string"
            }
          }
        }
      ],
      "children": [
        {}
      ],
      "cover_url": "string",
      "created_at": "string",
      "description": "string",
      "google_product_category_id": "string",
      "id": "string",
      "name": "string",
      "parent_id": "string",
      "redirects": [
        {
          "id": "string",
          "item_id": "string",
          "locale": "string",
          "new_slug": "string",
          "old_slug": "string",
          "type": "product"
        }
      ],
      "seo": {
        "meta_description": "string",
        "meta_title": "string"
      },
      "slug": "string",
      "sort_order": 0,
      "status": "string",
      "translations": {
        "description": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "meta_description": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "meta_title": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "name": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "slug": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "updated_at": "string",
      "uri": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
